Error installing nuget package

#1

Hello,

when trying to add Xenko to my project, I get this error:

Could not install package ‘Xenko.Core.IO 3.1.0.1-beta02-0550’. You are trying to install this package into a project that targets ‘.NETFramework,Version=v4.7.2’, but the package does not contain any assembly references or content files that are compatible with that framework.

Since the package is a dependency, I tried installing the Xenko.Core package (which worked) and the Xenko.Core.Mathematics (which worked also). Any installation which depends on Xenko.Core.IO fails to install.

Is there any workaround available?

Thanks.

0 Likes

#2

Did you download the Launcher and installed Xenko with it? This should put all the necessary packages into your nuget cache.

Then create an empty game and look in visual studio at the package references in order to get the right ones…

0 Likes

#3

This is probably because you didn’t install all the Visual Studio requirements to be able to use .NET Standard (i.e. .NET Core cross-platform development workload in Visual Studio installer)

Never mind, I also have the issue, please let me check into it.

0 Likes

#4

Tried it quickly, and it looks like old-style project have this issue.
However, creating a project using new-style is working well.
You can start from a .NET Standard Library or .NET Core Console app and change it to:

    <TargetFramework>net472</TargetFramework>
    <OutputType>Exe</OutputType>
1 Like